clang 10.0.0git

Public Types | Static Public Member Functions | List of all members
llvm::GraphTraits< Inverse< const ::clang::CFGBlock * > > Struct Template Reference

`#include "clang/Analysis/CFG.h"`

## Public Types
using | NodeRef = const ::clang::CFGBlock *
using | ChildIteratorType = ::clang::CFGBlock::const_pred_iterator

## Static Public Member Functions
static NodeRef | getEntryNode (Inverse< const ::clang::CFGBlock *> G)
static ChildIteratorType | child_begin (NodeRef N)
static ChildIteratorType | child_end (NodeRef N)

## Detailed Description

### template<>
struct llvm::GraphTraits< Inverse< const ::clang::CFGBlock * > >

Definition at line 1511 of file CFG.h.

## Member Typedef Documentation

## ◆ ChildIteratorType

using llvm::GraphTraits< Inverse< const ::clang::CFGBlock * > >::ChildIteratorType = ::clang::CFGBlock::const_pred_iterator

Definition at line 1513 of file CFG.h.

## ◆ NodeRef

using llvm::GraphTraits< Inverse< const ::clang::CFGBlock * > >::NodeRef = const ::clang::CFGBlock *

Definition at line 1512 of file CFG.h.

## Member Function Documentation

## ◆ child_begin()

static ChildIteratorType llvm::GraphTraits< Inverse< const ::clang::CFGBlock * > >::child_begin | ( | NodeRef | N | ) |
| inline static

Definition at line 1519 of file CFG.h.

References clang::CFGBlock::pred_begin().

## ◆ child_end()

static ChildIteratorType llvm::GraphTraits< Inverse< const ::clang::CFGBlock * > >::child_end | ( | NodeRef | N | ) |
| inline static

Definition at line 1520 of file CFG.h.

References clang::CFGBlock::pred_end().

## ◆ getEntryNode()

static NodeRef llvm::GraphTraits< Inverse< const ::clang::CFGBlock * > >::getEntryNode | ( | Inverse< const ::clang::CFGBlock *> | G | ) |
| inline static

Definition at line 1515 of file CFG.h.

The documentation for this struct was generated from the following file:

- include/clang/Analysis/CFG.h